FruxonDocs
ApiCollection pipelines

Gets one collection pipeline.

Returns the pipeline definition (source, Agent or Workflow, sink, run policy) by id.

GET
/v1/tenants/{tenant}/collectionPipelines/{collectionPipeline}
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

collectionPipeline*string

The unique identifier of the pipeline.

Formatuuid
tenant*string

The tenant identifier

Response Body

curl -X GET "https://api.fruxon.com/v1/tenants/string/collectionPipelines/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "00000000-0000-0000-0000-000000000000",
  "tenantId": "00000000-0000-0000-0000-000000000000",
  "createdAt": 0,
  "modifiedAt": 0,
  "displayName": "string",
  "active": false,
  "source": {
    "kind": "TOOL",
    "ragAssetId": "string",
    "ragReadMode": "DOCUMENTS",
    "ragSearch": "string",
    "pageSize": 0,
    "integrationConfigId": "string",
    "listToolId": "string",
    "getToolId": "string",
    "recordsPath": "string",
    "cursorParamName": "string",
    "parameters": {},
    "itemIdPath": "string",
    "sinkTargetPath": "string",
    "skipWhen": {
      "match": "ALL",
      "conditions": []
    },
    "sourceUrlPath": "string",
    "flattenSheetRows": false
  },
  "sourceRefs": [
    {
      "sourceId": "00000000-0000-0000-0000-000000000000",
      "alias": "string"
    }
  ],
  "defaultSourceId": "00000000-0000-0000-0000-000000000000",
  "agentId": "string",
  "runnableId": "string",
  "runnableType": "AGENT",
  "networkId": "00000000-0000-0000-0000-000000000000",
  "agentRevision": "string",
  "runnableRevision": "string",
  "inputMapping": {
    "userQuery": "string",
    "parameters": {},
    "attachmentUrlPath": "string"
  },
  "outputSchema": [
    {
      "name": "string",
      "description": "string"
    }
  ],
  "sink": {
    "sinks": [
      {
        "kind": "UNSPECIFIED",
        "indexAssetId": "string",
        "tabular": null
      }
    ]
  },
  "runPolicy": {
    "maxItems": 0,
    "maxConcurrency": 0,
    "perRunBudgetCap": 0,
    "dedupKeyPath": "string",
    "onItemError": "CONTINUE",
    "actionTypeCeiling": "READ_ONLY"
  },
  "publishedRevisionId": "00000000-0000-0000-0000-000000000000",
  "hidden": false
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}